.product-card-all {
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 1.2rem;
}
.product-card-all:hover {
}
.product-card-all .card__media-wrap {
  position: relative;
  aspect-ratio: 2/3;
  display: block;
  overflow: hidden;
  width: 100%;
  background-color: var(--color-bg-contrast);
}
.product-card-all .card__media-wrap .card__media {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-position: center;
  object-fit: cover;
  opacity: 0.6;
}

/*  */

.product-card-all .card__link {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 1.2rem;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  z-index: 20;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  aspect-ratio: 2/3;
  justify-content: center;
  padding: 1.2rem;
  align-items: stretch;
}
.product-card-all .card__button {
  border-radius: 1.2rem;
  padding: 1.4rem 0.6rem 0.6rem;
  border: 0.1rem solid rgb(var(--color-text-on-contrast-rgb) / 0.2);
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.2rem;
}
.product-card-all .card__title {
  position: relative;
  display: block;
  line-height: 1.2;
  font-weight: var(--font-weight-regular);
  font-size: var(--font-size-m);
  color: var(--color-text-on-contrast);
}
.product-card-all .card__icon {
  display: flex;
  flex-shrink: 0;
  background-color: rgb(var(--color-bg-rgb) / 0.12);
  padding: 0 2.8rem;
  height: 4.4rem;
  align-items: center;
  justify-content: center;
  border-radius: 0.8rem;
  -webkit-backdrop-filter: blur(0.6rem);
  backdrop-filter: blur(0.6rem);
  width: 100%;
}
.product-card-all .card__icon .icon {
  width: 2rem;
  height: 2rem;
  color: var(--color-text-on-contrast);
}
